#!/bin/bash

# ============LICENSE_START=======================================================
#  Copyright (C) 2021 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o errexit
set -o pipefail
set -o nounset

# source .profile
source "$HOME/.profile"

# navigate to WORKSPACE which is the root of the Git clone
cd "$WORKSPACE"

# git show for information purposes
echo "--------------------------------------------"
git show
echo "--------------------------------------------"

# run lint
echo "Info  : Starting lint using make check"
echo "--------------------------------------------"
make check
echo "--------------------------------------------"
echo "Info  : Done!"

# vim: set ts=2 sw=2 expandtab:
